Skip to content
LydieDevelopers
Menu

Connect a destination

View as Markdown
POST/v1/workspaces/{workspaceId}/connections

Connects a workspace to a destination with a token or generated secret (OAuth: connection.authorize). The credentials are checked with the destination first and stored encrypted; they are never returned, except generated secrets (revealed), once. Owners and admins only.

Request
curl -X POST "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/connections" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "connector": "string",
    "name": "Notes"
  }'

Path parameters

Body

Response

200
{
  "connection": {
    "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
    "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
    "connector": "string",
    "name": "Notes",
    "authMethod": "token",
    "settings": {},
    "credentialsHint": null,
    "account": null,
    "status": "active",
    "lastError": null,
    "lastValidatedAt": null,
    "createdBy": null,
    "updatedBy": null,
    "createdAt": "2026-11-12T09:30:00.000Z",
    "updatedAt": "2026-11-12T09:30:00.000Z"
  },
  "warnings": [
    "string"
  ],
  "revealed": null
}

Errors use one envelope for every endpoint. See Errors and versions.